Subject: [IPFIX] FW: [Errata Verified] RFC5655 (1988)

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Tue, 11 May 2010 17:03:20 +0200

-----Original Message-----
From: RFC Errata System [mailto:[email-masked]] 
Sent: Tuesday, May 11, 2010 4:13 PM
To: [email-masked]; [email-masked];
[email-masked]; [email-masked];
[email-masked]; [email-masked]
Cc: Romascanu, Dan (Dan); [email-masked]; [email-masked]
Subject: [Errata Verified] RFC5655 (1988)

The following errata report has been verified for RFC5655,
"Specification of the IP Flow Information Export (IPFIX) File Format". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=5655&eid=1988

--------------------------------------
Status: Verified
Type: Technical

Reported by: Alfred Hoenes <[email-masked]> Date Reported: 2009-12-28
Verified by: Dan Romascanu (IESG)

Section: 9.1.3, pg.39

Original Text
-------------
   signedAttrs:  an optional set of attributes that are signed along

      with the content.

|  digestAlgorithm:  identifies the digital signature algorithm and

      associated parameters used to generate the signature.

   signature:  the digital signature of the associated file.

   unsignedAttrs:  an optional set of attributes that are not signed.

Corrected Text
--------------
   signedAttrs:  an optional set of attributes that are signed along

      with the content.

|  signatureAlgorithm:  identifies the digital signature algorithm and

      associated parameters used to generate the signature.

   signature:  the digital signature of the associated file.

   unsignedAttrs:  an optional set of attributes that are not signed.

Notes
-----
Rationale: 

Same SEQUENCE element name listed twice, for two different explanations.

Further Note (keep for update!):

  In Section 9.1, in the ASN.1 on page 37, for a better approximation

  to ASN.1, all pairs of curly braces, "{" ... "}", should better be

  preceded by the keyword "SEQUENCE".

--------------------------------------
RFC5655 (draft-ietf-ipfix-file-05)
--------------------------------------
Title               : Specification of the IP Flow Information Export
(IPFIX) File Format
Publication Date    : October 2009
Author(s)           : B. Trammell, E. Boschi, L. Mark, T. Zseby, A.
Wagner
Category            : PROPOSED STANDARD
Source              : IP Flow Information Export
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG